summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/makepkg2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/makepkg b/scripts/makepkg
index 84464c24..51980005 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -106,6 +106,8 @@ checkdeps() {
local missdep=""
local deplist=""
+ [ $# -gt 0 ] || return
+
missdep=`pacman -T $*`
ret=$?
if [ "$ret" != "0" ]; then